Bug 31705 - RH 6.2->7.0 NFS upgrade fails with Anaconda error
RH 6.2->7.0 NFS upgrade fails with Anaconda error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-13 13:41 EST by Dan Maloney
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-01 11:16:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Maloney 2001-03-13 13:41:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0 i686)


Trying to upgrade RH 6.2 to 7.0 via NFS. Systems boots from boot disk OK,
installer starts fine. When I get to the dialog to choose pacakages to
upgrade, tells me it's trying to read packages, then the following verbose
error appears:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 412, in
nextClicked
    next = self.currentScreen.getNext ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/examine_gui.py", line
19, in getNext
    self.todo.upgradeFindPackages (self.root)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 941, in
upgradeFindPackages
    self.getCompsList ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 538, in
getCompsList
    self.getHeaderList()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 532, in
getHeaderList
    self.hdList = self.method.readHeaders()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 22, in
readHeaders
    return HeaderListFromFile(self.tree + "/RedHat/base/hdlist")
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 136, in
__init__
    hdlist = rpm.readHeaderListFromFile(path)
rpm.error: (2, 'No such file or directory')

Local variables in innermost frame:
compatPackages: None
self: <comps.HeaderListFromFile instance at 8471870>
path: /mnt/source/./RedHat/base/hdlist

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4
(dp5
S'tree'
p6
S'/mnt/source/.'
sbsS'initlevel'
p7
I3
sS'progressWindow'
p8
NsS'expert'
p9
I0
sS'ddruidReadOnly'
p10
I0
sS'bootdisk'
p11
I0
sS'language'
p12
(itodo
Language
(dp13
S'abbrevMap'
p14
(dp15
S'es_ES'
p16
S'Spanish'
p17
sS'tr_TR'
p18
S'Turkish'
p19
sS'sr_YU'
p20
S'Serbian'
p21
sS'de_DE'
p22
S'German'
p23
sS'sk_SK'
p24
S'Slovak'
p25
sS'ru_RU.KOI8-R'
p26
S'Russian'
p27
sS'is_IS'
p28
S'Icelandic'
p29
sS'no_NO'
p30
S'Norwegian'
p31
sS'sv_SE'
p32
S'Swedish'
p33
sS'en_US'
p34
S'English'
p35
sS'it_IT'
p36
S'Italian'
p37
sS'da_DK'
p38
S'Danish'
p39
sS'cs_CZ'
p40
S'Czech'
p41
sS'uk_UA.KOI8-U'
p42
S'Ukrainian'
p43
sS'hu_HU'
p44
S'Hungarian'
p45
sS'fr_FR'
p46
S'French'
p47
sS'sl_SI'
p48
S'Slovenian'
p49
sS'ro_RO'
p50
S'Romanian'
p51
ssS'font'
p52
(dp53
g37
S'lat0-sun16'
sg21
S'cyr-sun16'
sg27
S'cyr-sun16'
sg35
S'None'
sg25
S'lat2-sun16'
sg31
S'lat0-sun16'
sg33
S'lat0-sun16'
sg47
S'None'
sg49
S'lat2-sun16'
sg51
S'lat2-sun16'
sg23
S'None'
sg19
S'lat5-sun16'
sg45
S'lat2-sun16'
sg17
S'None'
sg43
S'cyr-sun16'
sg41
S'lat2-sun16'
sg39
S'lat0-sun16'
sg29
S'lat0-sun16'
ssS'langs'
p54
(dp55
g37
g36
sg21
g20
sg27
g26
sg35
g34
sg25
g24
sg31
g30
sg33
g32
sg47
g46
sg49
g48
sg51
g50
sg23
g22
sg19
g18
sg45
g44
sg17
g16
sg43
g42
sg41
g40
sg39
g38
sg29
g28
ssS'info'
p56
(dp57
S'LANG'
p58
g34
ssS'map'
p59
(dp60
g37
S'iso15'
sg21
S'iso05'
sg27
S'koi8-r'
sg35
S'None'
sg25
S'iso02'
sg31
S'iso15'
sg33
S'iso15'
sg47
S'None'
sg49
S'iso02'
sg51
S'iso02'
sg23
S'None'
sg19
S'iso09'
sg45
S'iso02'
sg17
S'None'
sg43
S'koi8-u'
sg41
S'iso02'
sg39
S'iso15'
sg29
S'iso15'
ssS'lang'
p61
g34
sbsS'fstab'
p62
NsS'lilo'
p63
(ililo
LiloConfiguration
(dp64
S'liloDevice'
p65
S'mbr'
p66
sS'initrdsMade'
p67
(dsS'edd'
p68
I0
sS'default'
p69
NsS'liloImages'
p70
(dsS'liloLinear'
p71
I1
sS'liloAppend'
p72
S''
sbsS'comps'
p73
NsS'network'
p74
(itodo
Network
(dp75
S'netdevices'
p76
(dp77
S'eth0'
p78
(itodo
NetworkDevice
(dp79
g56
(dp80
S'BOOTPROTO'
p81
S'dhcp'
sS'ONBOOT'
p82
S'yes'
sS'DEVICE'
p83
g78
ssbssS'gateway'
p84
S''
sS'secondaryNS'
p85
S'165.89.129.5'
sS'hostname'
p86
S'zipper.wfd.pri.bms.com'
sS'primaryNS'
p87
S'140.176.144.150'
sS'domains'
p88
(lp89
S'wfd.pri.bms.com'
asS'isConfigured'
p90
I1
sS'readData'
p91
I1
sS'ternaryNS'
p92
S'140.176.1.156'
sbsS'upgrade'
p93
I1
sS'instClass'
p94
(iinstallclass
DefaultInstall
p95
(dp96
S'rootPasswordCrypted'
p97
I0
sS'nameserver'
p98
S''
sS'x'
NsS'rootPassword'
p99
NsS'makeBootdisk'
p100
I0
sS'installType'
p101
NsS'postScript'
p102
NsS'earlySwapOn'
p103
I0
sS'networkDevice'
p104
NsS'clearText'
p105
Nsg63
(g66
I1
S''
tsg12
S'en_US'
p106
sS'name'
p107
S''
sS'postInChroot'
p108
I0
sS'pixmap'
p109
S''
sS'partitions'
p110
(lsS'clearType'
p111
Nsg84
S''
sS'mouse'
p112
NsS'packages'
p113
NsS'timezone'
p114
NsS'zeroMbr'
p115
I0
sS'keyboard'
p116
S'us'
p117
sS'groups'
p118
NsS'bootProto'
p119
NsS'netmask'
p120
S''
sS'raidList'
p121
(lsS'skipSteps'
p122
(dp123
g116
I1
sg12
I1
ssS'auth'
p124
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg86
Nsg62
(lsS'showgroups'
p125
NsS'ip'
p126
S''
sS'defaultRunlevel'
p127
NsS'desktop'
p128
S''
sS'clearPartText'
p129
NsS'clearParts'
p130
I0
sbsS'rootpassword'
p131
NsS'extraModules'
p132
(lp133
sg112
(imouse
Mouse
p134
(dp135
S'device'
p136
S'psaux'
p137
sg56
(dp138
S'XMOUSETYPE'
p139
S'PS/2'
p140
sS'FULLNAME'
p141
S'Generic - 2 Button Mouse (PS/2)'
sS'MOUSETYPE'
p142
S'ps/2'
p143
ssS'emu'
p144
I0
sS'wasProbed'
p145
I1
sS'emulate'
p146
I1
sbsS'ddruidAlreadySaved'
p147
I0
sS'serial'
p148
I0
sg114
Nsg115
I0
sg116
(ikbd
Keyboard
(dp149
S'layout'
p150
NsS'model'
p151
NsS'type'
p152
S'PC'
p153
sg56
(dp154
S'KEYBOARDTYPE'
p155
S'pc'
p156
sS'KEYTABLE'
p157
g117
ssbsS'fdDevice'
p158
S'fd0'
p159
sS'installSystem'
p160
I1
sS'setupFilesystems'
p161
I1
sg124
(itodo
Authentication
(dp162
S'useNIS'
p163
I0
sS'nisServer'
p164
S''
sS'useLdap'
p165
I0
sS'krb5Kdc'
p166
S''
sS'useHesiod'
p167
I0
sS'ldapServer'
p168
S''
sS'nisDomain'
p169
S''
sS'krb5Realm'
p170
S''
sS'useLdapauth'
p171
I0
sS'hesiodRhs'
p172
S''
sS'useShadow'
p173
I1
sS'nisuseBroadcast'
p174
I0
sS'useKrb5'
p175
I0
sS'useMD5'
p176
I1
sS'ldapBasedn'
p177
S''
sS'krb5Admin'
p178
S''
sS'hesiodLhs'
p179
S''
sS'hesiodDlhs'
p180
S''
sbsg86
NsS'reconfigOnly'
p181
I0
sS'x'
(ixf86config
XF86Config
p182
(dp183
S'monlist'
p184
(dsS'keyModel'
p185
S'pc101'
p186
sS'monids'
p187
(dsg136
NsS'monEisa'
p188
NsS'server'
p189
S'XF86_VGA16'
p190
sS'monHoriz'
p191
S'31.5'
p192
sS'devID'
p193
NsS'descr'
p194
NsS'modes'
p195
(dp196
S'8'
(lp197
S'640x480'
p198
assS'keyOptions'
p199
S''
sS'keyVariant'
p200
S''
sS'monID'
p201
S'Unprobed Monitor'
p202
sS'keyLayout'
p203
S'us'
p204
sS'manualModes'
p205
(dsg112
g134
sS'keyRules'
p206
S'xfree86'
p207
sS'monVert'
p208
S'60'
p209
sS'cardMan'
p210
S'Cirrus Logic GD-54xx VGA'
sS'monSect'
p211
S''
sS'primary'
p212
I0
sS'vidRam'
p213
S'512'
sS'probed'
p214
I1
sS'monName'
p215
NsS'vidCards'
p216
(lsS'skip'
p217
I0
sS'files'
p218
S'\012# The location of the RGB database.  Note, this is the name of
the\012# file minus the extension (like ".txt" or ".db").  There is
normally\012# no need to change the default.\012\012   
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and
later now use a font server independent of\012# the X server to render
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012   
FontPath   "unix/:7100"\012'
p219
sbsS'users'
p220
NsS'instPath'
p221
S'/mnt/sysimage'
p222
sS'intf'
p223
NsS'hdList'
p224
Nsb.

Reproducible: Always
Steps to Reproduce:
1. Tried GUI install
2. Tried text install
3.  Tried not selecting option to customize packages to upgrade		
	

Actual Results:  Same error no matter what.

Expected Results:  INstall should have proceeded

Hardware: HP NetServer LX Pro, Dual Pentium 200, software RAID
Comment 1 Michael Fulbright 2001-03-21 15:11:36 EST
Did you copy both CD's into a single NFS directory?

This is a new requirement for 7.0.
Comment 2 Dan Maloney 2001-03-21 15:26:46 EST
Yes, copied eveything into one NFS directory.
Comment 3 Michael Fulbright 2001-04-11 12:27:54 EDT
Before you get to the screen which causes the crash, go to VC2 (cntl-alt-f2) and
type:

ls /mnt/source/RedHat/base/hdlist

if this file is not present then something is not correct about how the NFS
image is setup on the server.
Comment 4 Brent Fox 2001-05-01 11:16:40 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.